import { defineConfig } from 'vite'
import react from '@vitejs/plugin-react'
import reactRefresh from '@vitejs/plugin-react-refresh';

// https://vitejs.dev/config/
export default defineConfig({
  base: './',
  build: {
    target: 'es2015',  // 设置目标浏览器为 ES2015
    minify: 'terser',  // 使用 Terser 插件进行代码压缩
  },
  plugins: [
    react(),
    reactRefresh()
  ],
})
